com.tibbo.aggregate.common.datatable.field

## Class StringFieldFormat

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.FieldFormat<java.lang.String>
  - - com.tibbo.aggregate.common.datatable.field.StringFieldFormat

- All Implemented Interfaces:
    PublicCloneable, java.lang.Cloneable

      public class StringFieldFormat
      extends FieldFormat<java.lang.String>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TableFormat` | `ADDITIONAL_REFERENCES_FORMAT`
    `static java.lang.String` | `CODE_EDITOR_MODE_INTERPRETED_LANGUAGE`
    `static java.lang.String` | `CODE_EDITOR_MODE_JAVA`
    `static java.lang.String` | `CODE_EDITOR_MODE_JAVASCRIPT`
    `static java.lang.String` | `CODE_EDITOR_MODE_ST`
    `static java.lang.String` | `EDITOR_ACTIVATOR`
    `static java.lang.String` | `EDITOR_CODE`
    `static java.lang.String` | `EDITOR_CONTEXT`
    `static java.lang.String` | `EDITOR_CONTEXT_MASK`
    `static java.lang.String` | `EDITOR_EMBEDDED_TEXT_AREA`
    `static java.lang.String` | `EDITOR_EXPRESSION`
    `static java.lang.String` | `EDITOR_FONT`
    `static java.lang.String` | `EDITOR_FUNCTION_SELECTOR`
    `static java.lang.String` | `EDITOR_HTML`
    `static java.lang.String` | `EDITOR_IP`
    `static java.lang.String` | `EDITOR_PASSWORD`
    `static java.lang.String` | `EDITOR_REFERENCE`
    `static java.lang.String` | `EDITOR_TARGET`
    `static java.lang.String` | `EDITOR_TARGET_MODE_ACTIONS_ONLY`
    `static java.lang.String` | `EDITOR_TARGET_MODE_FUNCTIONS_ONLY`
    `static java.lang.String` | `EDITOR_TARGET_MODE_MODELS`
    `static java.lang.String` | `EDITOR_TEXT`
    `static java.lang.String` | `EDITOR_TEXT_AREA`
    `static java.lang.String` | `EDITOR_TOGGLE_INPUT_VISIBILITY`
    `static TableFormat` | `EXPRESSION_BUILDER_OPTIONS_FORMAT`
    `static java.lang.String` | `FIELD_ADDITIONAL_REFERENCES_DESCRIPTION`
    `static java.lang.String` | `FIELD_ADDITIONAL_REFERENCES_REFERENCE`
    `static java.lang.String` | `FIELD_DEFAULT_CONTEXT`
    `static java.lang.String` | `FIELD_DEFAULT_CONTEXT_DESCRIPTION`
    `static java.lang.String` | `FIELD_DEFAULT_TABLE`
    `static java.lang.String` | `FIELD_DEFAULT_TABLE_DESCRIPTION`
    `static java.lang.String` | `FIELD_EXPECTED_RESULT`
    `static java.lang.String` | `FIELD_REFERENCES`
    `static java.lang.String` | `TEXT_EDITOR_MODE_AGGREGATE`
    `static java.lang.String` | `TEXT_EDITOR_MODE_HTML`
    `static java.lang.String` | `TEXT_EDITOR_MODE_JAVA`
    `static java.lang.String` | `TEXT_EDITOR_MODE_SHELLSCRIPT`
    `static java.lang.String` | `TEXT_EDITOR_MODE_SMI_MIB`
    `static java.lang.String` | `TEXT_EDITOR_MODE_SQL`
    `static java.lang.String` | `TEXT_EDITOR_MODE_XML`

    - ### Fields inherited from class com.tibbo.aggregate.common.datatable.FieldFormat

      `BOOLEAN_FIELD, COLOR_FIELD, DATA_FIELD, DATATABLE_FIELD, DATE_FIELD, DOUBLE_FIELD, EDITOR_BAR, EDITOR_BYTES, EDITOR_FOREIGN_INSTANCE, EDITOR_FORMAT_STRING, EDITOR_INSTANCE, EDITOR_LIST, FLOAT_FIELD, INTEGER_FIELD, LONG_FIELD, STRING_FIELD, VALIDATOR_EXPRESSION, VALIDATOR_ID, VALIDATOR_LIMITS, VALIDATOR_NON_NULL, VALIDATOR_REGEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringFieldFormat(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `convertValue(java.lang.Object value)`
    `static ContextMaskConverter.Options` | `decodeMaskEditorOptions(java.lang.String options)`
    `static java.lang.String` | `encodeExpressionEditorOptions(Context defaultContext, DataTable defaultTable, java.util.Map<Reference,java.lang.String> references)`
    `static java.lang.String` | `encodeExpressionEditorOptions(java.util.Map<Reference,java.lang.String> references)`
    `static java.lang.String` | `encodeExpressionEditorOptions(java.lang.String defaultContext)`
    `static java.lang.String` | `encodeExpressionEditorOptions(java.lang.String defaultContext, DataTable defaultTable)`
    `static java.lang.String` | `encodeExpressionEditorOptions(java.lang.String defaultContext, DataTable defaultTable, java.util.Map<Reference,java.lang.String> references)`
    `static java.lang.String` | `encodeExpressionEditorOptions(java.lang.String defaultContext, DataTable defaultTable, java.util.Map<Reference,java.lang.String> references, java.lang.String expectedResult, java.lang.String defaultContextDescription, java.lang.String defaultTableDescription)`
    `static java.lang.String` | `encodeMaskEditorOptions(java.lang.Class contextClass)`
    `static java.lang.String` | `encodeMaskEditorOptions(java.lang.Class contextClass, java.lang.String containerName)`
    `static java.lang.String` | `encodeMaskEditorOptions(java.lang.String contextType)`
    `static java.lang.String` | `encodeMaskEditorOptions(java.lang.String contextType, java.util.List<java.lang.String> contextMasks)`
    `static java.lang.String` | `encodeMaskEditorOptions(java.lang.String rootContext, java.util.List<java.lang.String> contextTypes, java.util.List<java.lang.String> contextMasks)`
    `static java.lang.String` | `encodeMaskEditorOptions(java.lang.String contextType, java.lang.String containerName)`
    `java.lang.Class` | `getFieldClass()`
    `java.lang.Class` | `getFieldWrappedClass()`
    `java.lang.String` | `getNotNullDefault()`
    `java.util.List<java.lang.String>` | `getSuitableEditors()`
    `char` | `getType()`
    `java.lang.String` | `valueFromString(java.lang.String value, ClassicEncodingSettings settings, boolean validate)`
    `java.lang.String` | `valueToString(java.lang.String value, ClassicEncodingSettings settings)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.FieldFormat

      `addSelectionValue, addSelectionValue, addValidator, checkAndConvertValue, checkAndConvertValue, clone, cloneIfImmutable, create, create, create, create, create, create, create, create, create, create, create, createValidators, encode, encode, encode, equals, extend, extendMessage, getDefaultValue, getDefaultValueCopy, getDescription, getEditor, getEditorOptions, getEncodedValidators, getGroup, getHelp, getIcon, getName, getSelectionValues, getType, getTypeName, getTypes, getTypeSelectionValues, getValidators, getValidatorToTypeMap, hasDescription, hashCode, hasSelectionValue, hasSelectionValues, isAdvanced, isDefaultOverride, isEncrypted, isExtendableSelectionValues, isFieldClass, isHidden, isInlineData, isKeyField, isNotReplicated, isNullable, isNumericField, isNumericField, isOptional, isReadonly, isShallow, isTransferEncode, makeImmutable, removeGroup, setAdvanced, setDefault, setDefaultFromString, setDefaultFromString, setDefaultOverride, setDescription, setEditor, setEditorOptions, setEncrypted, setExtendableSelectionValues, setGroup, setHelp, setHidden, setIcon, setInlineData, setKeyField, setName, setNotReplicated, setNullable, setOptional, setReadonly, setSelectionValues, setSelectionValues, setSelectionValues, setShallow, setTransferEncode, setValidators, toDetailedString, toString, valueFromEncodedString, valueFromEncodedString, valueFromString, valueToEncodedString, valueToEncodedString, valueToString, wrap, wrapSimple`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EDITOR_CONTEXT_MASK

          public static final java.lang.String EDITOR_CONTEXT_MASK

      See Also:
        Constant Field Values

    - #### EDITOR_CONTEXT

          public static final java.lang.String EDITOR_CONTEXT

      See Also:
        Constant Field Values

    - #### EDITOR_EXPRESSION

          public static final java.lang.String EDITOR_EXPRESSION

      See Also:
        Constant Field Values

    - #### EDITOR_FUNCTION_SELECTOR

          public static final java.lang.String EDITOR_FUNCTION_SELECTOR

      See Also:
        Constant Field Values

    - #### EDITOR_TOGGLE_INPUT_VISIBILITY

          public static final java.lang.String EDITOR_TOGGLE_INPUT_VISIBILITY

      See Also:
        Constant Field Values

    - #### EDITOR_ACTIVATOR

          public static final java.lang.String EDITOR_ACTIVATOR

      See Also:
        Constant Field Values

    - #### EDITOR_TARGET

          public static final java.lang.String EDITOR_TARGET

      See Also:
        Constant Field Values

    - #### EDITOR_CODE

          public static final java.lang.String EDITOR_CODE

      See Also:
        Constant Field Values

    - #### EDITOR_TEXT

          public static final java.lang.String EDITOR_TEXT

      See Also:
        Constant Field Values

    - #### EDITOR_TEXT_AREA

          public static final java.lang.String EDITOR_TEXT_AREA

      See Also:
        Constant Field Values

    - #### EDITOR_EMBEDDED_TEXT_AREA

          public static final java.lang.String EDITOR_EMBEDDED_TEXT_AREA

      See Also:
        Constant Field Values

    - #### EDITOR_REFERENCE

          public static final java.lang.String EDITOR_REFERENCE

      See Also:
        Constant Field Values

    - #### EDITOR_PASSWORD

          public static final java.lang.String EDITOR_PASSWORD

      See Also:
        Constant Field Values

    - #### EDITOR_FONT

          public static final java.lang.String EDITOR_FONT

      See Also:
        Constant Field Values

    - #### EDITOR_IP

          public static final java.lang.String EDITOR_IP

      See Also:
        Constant Field Values

    - #### EDITOR_HTML

          public static final java.lang.String EDITOR_HTML

      See Also:
        Constant Field Values

    - #### FIELD_ADDITIONAL_REFERENCES_REFERENCE

          public static final java.lang.String FIELD_ADDITIONAL_REFERENCES_REFERENCE

      See Also:
        Constant Field Values

    - #### FIELD_ADDITIONAL_REFERENCES_DESCRIPTION

          public static final java.lang.String FIELD_ADDITIONAL_REFERENCES_DESCRIPTION

      See Also:
        Constant Field Values

    - #### ADDITIONAL_REFERENCES_FORMAT

          public static final TableFormat ADDITIONAL_REFERENCES_FORMAT

    - #### FIELD_DEFAULT_TABLE

          public static final java.lang.String FIELD_DEFAULT_TABLE

      See Also:
        Constant Field Values

    - #### FIELD_DEFAULT_CONTEXT

          public static final java.lang.String FIELD_DEFAULT_CONTEXT

      See Also:
        Constant Field Values

    - #### FIELD_REFERENCES

          public static final java.lang.String FIELD_REFERENCES

      See Also:
        Constant Field Values

    - #### FIELD_EXPECTED_RESULT

          public static final java.lang.String FIELD_EXPECTED_RESULT

      See Also:
        Constant Field Values

    - #### FIELD_DEFAULT_TABLE_DESCRIPTION

          public static final java.lang.String FIELD_DEFAULT_TABLE_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FIELD_DEFAULT_CONTEXT_DESCRIPTION

          public static final java.lang.String FIELD_DEFAULT_CONTEXT_DESCRIPTION

      See Also:
        Constant Field Values

    - #### EXPRESSION_BUILDER_OPTIONS_FORMAT

          public static final TableFormat EXPRESSION_BUILDER_OPTIONS_FORMAT

    - #### TEXT_EDITOR_MODE_AGGREGATE

          public static final java.lang.String TEXT_EDITOR_MODE_AGGREGATE

      See Also:
        Constant Field Values

    - #### TEXT_EDITOR_MODE_JAVA

          public static final java.lang.String TEXT_EDITOR_MODE_JAVA

      See Also:
        Constant Field Values

    - #### TEXT_EDITOR_MODE_XML

          public static final java.lang.String TEXT_EDITOR_MODE_XML

      See Also:
        Constant Field Values

    - #### TEXT_EDITOR_MODE_SQL

          public static final java.lang.String TEXT_EDITOR_MODE_SQL

      See Also:
        Constant Field Values

    - #### TEXT_EDITOR_MODE_HTML

          public static final java.lang.String TEXT_EDITOR_MODE_HTML

      See Also:
        Constant Field Values

    - #### TEXT_EDITOR_MODE_SHELLSCRIPT

          public static final java.lang.String TEXT_EDITOR_MODE_SHELLSCRIPT

      See Also:
        Constant Field Values

    - #### TEXT_EDITOR_MODE_SMI_MIB

          public static final java.lang.String TEXT_EDITOR_MODE_SMI_MIB

      See Also:
        Constant Field Values

    - #### CODE_EDITOR_MODE_ST

          public static final java.lang.String CODE_EDITOR_MODE_ST

      See Also:
        Constant Field Values

    - #### CODE_EDITOR_MODE_JAVA

          public static final java.lang.String CODE_EDITOR_MODE_JAVA

      See Also:
        Constant Field Values

    - #### CODE_EDITOR_MODE_JAVASCRIPT

          public static final java.lang.String CODE_EDITOR_MODE_JAVASCRIPT

      See Also:
        Constant Field Values

    - #### CODE_EDITOR_MODE_INTERPRETED_LANGUAGE

          public static final java.lang.String CODE_EDITOR_MODE_INTERPRETED_LANGUAGE

      See Also:
        Constant Field Values

    - #### EDITOR_TARGET_MODE_MODELS

          public static final java.lang.String EDITOR_TARGET_MODE_MODELS

      See Also:
        Constant Field Values

    - #### EDITOR_TARGET_MODE_ACTIONS_ONLY

          public static final java.lang.String EDITOR_TARGET_MODE_ACTIONS_ONLY

      See Also:
        Constant Field Values

    - #### EDITOR_TARGET_MODE_FUNCTIONS_ONLY

          public static final java.lang.String EDITOR_TARGET_MODE_FUNCTIONS_ONLY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StringFieldFormat

          public StringFieldFormat(java.lang.String name)

  - ### Method Detail

    - #### encodeExpressionEditorOptions

          public static java.lang.String encodeExpressionEditorOptions(java.util.Map<Reference,java.lang.String> references)

    - #### encodeExpressionEditorOptions

          public static java.lang.String encodeExpressionEditorOptions(Context defaultContext,
                                                                       DataTable defaultTable,
                                                                       java.util.Map<Reference,java.lang.String> references)

    - #### encodeExpressionEditorOptions

          public static java.lang.String encodeExpressionEditorOptions(java.lang.String defaultContext,
                                                                       DataTable defaultTable,
                                                                       java.util.Map<Reference,java.lang.String> references)

    - #### encodeExpressionEditorOptions

          public static java.lang.String encodeExpressionEditorOptions(java.lang.String defaultContext,
                                                                       DataTable defaultTable)

    - #### encodeExpressionEditorOptions

          public static java.lang.String encodeExpressionEditorOptions(java.lang.String defaultContext)

    - #### encodeExpressionEditorOptions

          public static java.lang.String encodeExpressionEditorOptions(java.lang.String defaultContext,
                                                                       DataTable defaultTable,
                                                                       java.util.Map<Reference,java.lang.String> references,
                                                                       java.lang.String expectedResult,
                                                                       java.lang.String defaultContextDescription,
                                                                       java.lang.String defaultTableDescription)

    - #### encodeMaskEditorOptions

          public static java.lang.String encodeMaskEditorOptions(java.lang.String contextType)

    - #### encodeMaskEditorOptions

          public static java.lang.String encodeMaskEditorOptions(java.lang.Class contextClass)

    - #### encodeMaskEditorOptions

          public static java.lang.String encodeMaskEditorOptions(java.lang.String contextType,
                                                                 java.util.List<java.lang.String> contextMasks)

    - #### encodeMaskEditorOptions

          public static java.lang.String encodeMaskEditorOptions(java.lang.String rootContext,
                                                                 java.util.List<java.lang.String> contextTypes,
                                                                 java.util.List<java.lang.String> contextMasks)

    - #### encodeMaskEditorOptions

          public static java.lang.String encodeMaskEditorOptions(java.lang.Class contextClass,
                                                                 java.lang.String containerName)

    - #### encodeMaskEditorOptions

          public static java.lang.String encodeMaskEditorOptions(java.lang.String contextType,
                                                                 java.lang.String containerName)

    - #### decodeMaskEditorOptions

          public static ContextMaskConverter.Options decodeMaskEditorOptions(java.lang.String options)

    - #### getType

          public char getType()

      Specified by:
        `getType` in class `FieldFormat<java.lang.String>`

    - #### getFieldClass

          public java.lang.Class getFieldClass()

      Specified by:
        `getFieldClass` in class `FieldFormat<java.lang.String>`

    - #### getFieldWrappedClass

          public java.lang.Class getFieldWrappedClass()

      Specified by:
        `getFieldWrappedClass` in class `FieldFormat<java.lang.String>`

    - #### getNotNullDefault

          public java.lang.String getNotNullDefault()

      Specified by:
        `getNotNullDefault` in class `FieldFormat<java.lang.String>`

    - #### convertValue

          protected java.lang.Object convertValue(java.lang.Object value)
                                           throws ValidationException

      Overrides:
        `convertValue` in class `FieldFormat<java.lang.String>`
      Throws:
        `ValidationException`

    - #### valueFromString

          public java.lang.String valueFromString(java.lang.String value,
                                                  ClassicEncodingSettings settings,
                                                  boolean validate)

      Specified by:
        `valueFromString` in class `FieldFormat<java.lang.String>`

    - #### valueToString

          public java.lang.String valueToString(java.lang.String value,
                                                ClassicEncodingSettings settings)

      Specified by:
        `valueToString` in class `FieldFormat<java.lang.String>`

    - #### getSuitableEditors

          public java.util.List<java.lang.String> getSuitableEditors()

      Overrides:
        `getSuitableEditors` in class `FieldFormat<java.lang.String>`